Next: dprintf, Previous: clearerr, Up: Stdio [Contents][Index]

### 4.2 `diprintf`, `vdiprintf`—print to a file descriptor (integer only)

Synopsis

    #include <stdio.h>
    #include <stdarg.h>
    int diprintf(int fd, const char *format, ...);
    int vdiprintf(int fd, const char *format, va_list ap);
    int _diprintf_r(struct _reent *ptr, int fd,
        const char *format, ...);
    int _vdiprintf_r(struct _reent *ptr, int fd,
        const char *format, va_list ap);

Description
`diprintf` and `vdiprintf` are similar to `dprintf` and `vdprintf`, except that only integer format specifiers are processed.

The functions `_diprintf_r` and `_vdiprintf_r` are simply reentrant versions of the functions above.

Returns
Similar to `dprintf` and `vdprintf`.

Portability
This set of functions is an integer-only extension, and is not portable.

Supporting OS subroutines required: `sbrk`, `write`.